print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecandy = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local candyHudFile = "Paletten/hud_fill_candy.dds"
	local candyHudFileSmall = "Paletten/hud_fill_candy_smal.dds"
	
    local candyFilType = g_fillTypeManager:addFillType("CANDY", g_i18n:getText("candy"), true, pricecandy * 2.7, 0.00045, math.rad(10), candyHudFile, candyHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascandy=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascandy=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CANDY" then
		hascandy=true
	end;
		
end;

		if hasmaize and not hascandy then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CANDY")
		local price = g_fillTypeManager:getFillTypeByName("CANDY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CANDY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)