print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricedye = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local dyeHudFile = "hud_fill_dye.dds"
	local dyeHudFileSmall = "hud_fill_dye_small.dds"
	
    local dyeFilType = g_fillTypeManager:addFillType("DYE", g_i18n:getText("dye"), true, pricedye * 0.1, 0.00045, math.rad(10), dyeHudFile, dyeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasdye=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasdye=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "DYE" then
		hasdye=true
	end;
		
end;

		if hasmaize and not hasdye then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("DYE")
		local price = g_fillTypeManager:getFillTypeByName("DYE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("DYE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)